- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_ntp_auth – Manages NTP authentication configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages NTP authentication configuration on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_mode - | Choices: hmac-sha256 md5 | Specify authentication algorithm.
auth_pwd - |  | Plain text with length of 1 to 255, encrypted text with length of 20 to 392.
auth_type - | Choices: text encrypt ← | Whether the given password is in cleartext or has been encrypted. If in cleartext, the device will encrypt it before storing it.
authentication - | Choices: enable disable | Configure ntp authentication enable or unconfigure ntp authentication enable.
key_id - / required |  | Authentication key identifier (numeric).
state - | Choices: present ← absent | Manage the state of the resource.
trusted_key - | Choices: enable disable ← | Whether the given key is required to be supplied by a time source for the device to synchronize to the time source.

## Notes

Note

- If `state=absent`, the module will attempt to remove the given key configuration. If a matching key configuration isn’t found on the device, the module will fail.

- If `state=absent` and `authentication=on`, authentication will be turned on.

- If `state=absent` and `authentication=off`, authentication will be turned off.

- Recommended connection is `network_cli`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: NTP AUTH test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Configure ntp authentication key-id"
        ce_ntp_auth:
          key_id: 32
          auth_mode: md5
          auth_pwd: 11111111111111111111111
          provider: "{{ cli }}"

      - name: "Configure ntp authentication key-id and trusted authentication keyid"
        ce_ntp_auth:
          key_id: 32
          auth_mode: md5
          auth_pwd: 11111111111111111111111
          trusted_key: enable
          provider: "{{ cli }}"

      - name: "Configure ntp authentication key-id and authentication enable"
        ce_ntp_auth:
          key_id: 32
          auth_mode: md5
          auth_pwd: 11111111111111111111111
          authentication: enable
          provider: "{{ cli }}"

      - name: "Unconfigure ntp authentication key-id and trusted authentication keyid"
        ce_ntp_auth:
          key_id: 32
          state: absent
          provider: "{{ cli }}"

      - name: "Unconfigure ntp authentication key-id and authentication enable"
        ce_ntp_auth:
          key_id: 32
          authentication: enable
          state: absent
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of ntp authentication after module execution Sample: {'authentication': 'off', 'authentication-keyid': [{'auth_mode': 'md5', 'key_id': '1', 'trusted_key': 'disable'}, {'auth_mode': 'md5', 'key_id': '32', 'trusted_key': 'enable'}]}
existing dictionary | always | k/v pairs of existing ntp authentication Sample: {'authentication': 'off', 'authentication-keyid': [{'auth_mode': 'md5', 'key_id': '1', 'trusted_key': 'disable'}]}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'auth_type': 'text', 'authentication': 'enable', 'key_id': '32', 'auth_pwd': '1111', 'auth_mode': 'md5', 'trusted_key': 'enable', 'state': 'present'}
state string | always | state as sent in from the playbook Sample: present
updates list | always | command sent to the device Sample: ['ntp authentication-key 32 md5 1111', 'ntp trusted-key 32', 'ntp authentication enable']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Zhijin Zhou (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.